Menu={}

function Menu.playIntro()
     StartAnimation.new("data/image/menu/start.png",(EarthEngine.l-305)/2,(EarthEngine.h-52)/2,22,4)
	 local cont=true
	 while cont==true do
          screen:clear()
	      pad=Controls.read()
		  screen:fillRect(0,0,EarthEngine.l,EarthEngine.h,Color.new(255,255,255))
		  cont=StartAnimation.play(screen)
          screen.flip()
	      screen.waitVblankStart()
	 end
end

function Menu.play()
     local fond=Image.load("data/image/menu/fond.png")
	 local curs=Image.load("data/image/curseur.png")
	 
	 local flew=Animation.new("data/image/menu/anim.png",9,0,0,387,47,2)
	 local flewx=0
	 
	 local map_name="map/intro"
	 local tab_map=System.listDirectory("map/")
	 table.remove(tab_map,1) -- .
	 table.remove(tab_map,1) -- . .
	 local taille_m= table.getn(tab_map)
	 
	 
	 local selecteur=1
	 local p_selecteur=1
	 local m_selecteur=1
	 
	 local tab_persos=System.listDirectory("data/persos/")
	 table.remove(tab_persos,1) -- .
	 table.remove(tab_persos,1) -- . .
	 local taille= table.getn(tab_persos)
	 
	 function reload_anim()
	     perso=Image.load("data/persos/"..tab_persos[p_selecteur].name)
	     perso_anim=Animation.new("data/persos/"..tab_persos[p_selecteur].name,4,0,perso:height()/4,perso:width(),perso:height()/4,2)
	 end
	 
	 reload_anim()
	 oldpad=Controls.read()
     while true do
          screen:clear()
	      pad=Controls.read()
		  screen:blit(0,0,fond)
		  
		  flewx=flewx+2
		  if flewx>EarthEngine.l then
		     flewx=0
		  end
		  flew:play(screen,flewx,2)
          
		  if pad:down() and pad~=oldpad then ---Deplacement dans le menu
			 if selecteur<3 then
		          selecteur=selecteur+1
		      else
		          selecteur=1
		      end
		  elseif pad:up() and pad~=oldpad  then
			 if selecteur>1 then
		          selecteur=selecteur-1
		      else
		          selecteur=3
		      end
		  end
		  
		  if selecteur==1 then
		      --Choix 1 partie avec le perso_anim selectionné
		      screen:blit(390,106,curs)
			  
			  --Affichage perso
		  screen:blit(102,95,curs)
		  perso_anim:play(screen,50,85)
		       screen:fontPrint(futura,50,190,string.sub(tab_persos[p_selecteur].name,0,string.len(tab_persos[p_selecteur].name)-4),Color.new(0,0,0))
			   screen:fontPrint(futura,46,210,"Selectionner votre heros !",Color.new(0,0,0))
			   screen:fontPrint(futura,38,230,"Pressez X pour lancer la partie !",Color.new(0,0,0))
 
		  if pad:right() and pad~=oldpad then ---Selection perso_anim
			 if p_selecteur<taille then
		          p_selecteur=p_selecteur+1
			      reload_anim()
		      else
		          p_selecteur=1
			      reload_anim()
		      end
		  elseif pad:left() and pad~=oldpad  then
			 if p_selecteur>1 then
		          p_selecteur=p_selecteur-1
			      reload_anim()
		      else
		          p_selecteur=taille
			      reload_anim()
		      end
		  end
			  
			  if pad:cross() then 
			      return {p="data/persos/"..tab_persos[p_selecteur].name,m=map_name}
			  end
			  
			  
		  elseif selecteur==2 then -- choix map
		      screen:fontPrint(futura,102-string.len(tab_map[m_selecteur].name)*8,108,string.sub(tab_map[m_selecteur].name,0,string.len(tab_map[m_selecteur].name)-4),Color.new(0,0,0))
		     
		  if pad:right() and pad~=oldpad then ---Selection perso_anim
			 if m_selecteur<taille_m then
		          m_selecteur=m_selecteur+1
		      else
		          m_selecteur=1
		      end
		  elseif pad:left() and pad~=oldpad  then
			 if m_selecteur>1 then
		          m_selecteur=m_selecteur-1
		      else
		          m_selecteur=taille_m
		      end
		  end
			  map_name="map/"..string.sub(tab_map[m_selecteur].name,0,string.len(tab_map[m_selecteur].name)-4)
		      screen:blit(102,95,curs)
		      screen:blit(411,153,curs)
			   screen:fontPrint(futura,45,190,"Selectionner la carte !",Color.new(0,0,0))
			   screen:fontPrint(futura,35,210,"Pressez X pour lancer la partie !",Color.new(0,0,0))
			  
		  elseif selecteur==3 then
		      screen:blit(388,200,curs)
			  screen:fontPrint(futura,45,150,"Earth Demo v0.1",Color.new(0,0,0))
			  screen:fontPrint(futura,45,170,"Code par Samy Pesse",Color.new(0,0,0))
			  screen:fontPrint(futura,40,195,"Pressez X pour quitter !",Color.new(0,0,0))
			  
		  end
		 
	      screen.flip()
	      screen.waitVblankStart()
		  oldpad=pad
     end
end

